<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.xindazhou</groupId>
        <artifactId>xdz-module-vehicle</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>xdz-module-vehicle-server</artifactId>
    <packaging>jar</packaging>
    <name>${project.artifactId}</name>
    <description>vehicle 服务实现</description>
    <dependencies>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-env</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-vehicle-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-security</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-rpc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-mq</artifactId>
        </dependency>
        <!-- 用户服务 API -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-user-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <!-- 消息服务 API -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-message-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-monitor</artifactId>
        </dependency>
    </dependencies>
    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
